boost::geometry::srs::sphere< RadiusType > Class Template Reference

Defines sphere radius value for use in spherical CS calculations. More...

List of all members.

## Public Member Functions

template<std::size_t I>
RadiusType | get_radius () const
template<std::size_t I>
void | set_radius (RadiusType const &radius)
| sphere (RadiusType const &r)
| sphere ()

## Detailed Description

### template<typename RadiusType>
class boost::geometry::srs::sphere< RadiusType >

Defines sphere radius value for use in spherical CS calculations.

## Constructor & Destructor Documentation

template<typename RadiusType >

boost::geometry::srs::sphere< RadiusType >::sphere | ( | RadiusType const & | r | ) | `[explicit]`

template<typename RadiusType >

boost::geometry::srs::sphere< RadiusType >::sphere | ( |  | ) |

## Member Function Documentation

template<typename RadiusType >
template<std::size_t I>

RadiusType boost::geometry::srs::sphere< RadiusType >::get_radius | ( |  | ) | const

template<typename RadiusType >
template<std::size_t I>

void boost::geometry::srs::sphere< RadiusType >::set_radius | ( | RadiusType const & | radius | ) |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK